WordPress sérülékenységek

CH azonosító

CH-6752

Angol cím

WordPress Multiple Vulnerabilities

Felfedezés dátuma

2012.04.22.

Súlyosság

Közepes

Érintett rendszerek

WordPress

Érintett verziók

WordPress 3.x

Összefoglaló

A WordPress több sérülékenysége vált ismertté, amelyeket kihasználva rosszindulatú felhasználók megkerülhetnek bizonyos biztonsági szabályokat, a támadók pedig script beszúrásos (script insertion) és cross-site scripting (XSS/CSS) támadásokat hajthatnak végre.

Leírás

  1. A hálózati plugin-ek (network wide plugins) kezelésekor jelentkező hibát a “site” adminisztrátorok kihasználhatják a hálózati plugin-ek letiltására.
  2. Bizonyos, kommentek post-olását követő átirányításokon és URL-ek szűrésén keresztül átadott bemeneti adat adat nincs megfelelően megtisztítva, mielőtt a felhasználó számára visszaadásra kerülne. Ez kihasználható tetszőleges HTML és script kód futtatására a felhasználó böngészőjének munkamenetében az érintett oldallal kapcsolatban.
  3. Bizonyos, attribútumokbeli URL-eken keresztül átadott bemeneti adat adat nincs megfelelően megtisztítva, mielőtt kattintható hivatkozások készítéséhez felhasználásra kerülne. Ez kihasználható tetszőleges HTML és script kód beszúrására, ami a felhasználó böngészőjének munkamenetében fog lefutni az érintett oldallal kapcsolatban, a káros tartalom megtekintése közben.

A sérülékenységek a 3.3.2 előtti verziókat érintik.

Megoldás

Frissítsen a legújabb verzióra